Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezimagecatalogue/admin/imagelist.php File Reference

Go to the source code of this file.

## Functions
if(isset( $DetailView)) if(isset( $NormalView)) | syncDir ( $root, $category)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $wwwDir = $ini->WWWDir
| $indexFile = $ini->Index
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )
| $PicCat = $ini->variable( "eZImageCatalogueMain", "PicCat" )
| $SyncDir = $ini->variable( "eZImageCatalogueMain", "SyncDir" )
| $SectionID = $ini->variable( "eZImageCatalogueMain", "DefaultSection" )
| $t
| $user =& eZUser::currentUser()
if(isSet( $ImageUpload)) | $checkMode =& eZSession::globalSession()
| $category = new eZImageCategory( $CategoryID )
| $error = true
if( $category->id() !=0) | $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category )
| $i =0
foreach( $categoryList as $categoryItem) if(count( $categoryList) > 0 &&!isset( $SearchText)) | else
| $limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" )
| $count =& $category->imageCount( )
| $URL = "image/list/$CategoryID/$Offset"
| $page_link = "image/list/$CategoryID/parent/{item_index}"
| $page_link_next = "image/list/$CategoryID/parent/{item_next_index}"
| $page_link_prev = "image/list/$CategoryID/parent/{item_previous_index}"
| $j = 0
| $counter = 0

## Function Documentation

## ◆ syncDir()

if (isset($DetailView)) if (isset($NormalView)) syncDir | ( |  | $root,
|  |  | $category
| ) |  |

Definition at line 74 of file ezimagecatalogue/admin/imagelist.php.

References $author, $category, $Description, $dir, $file, $group, $image, $images, $SectionID, $user, eZImageCategory\addImage(), eZPBFile\dir(), eZObjectPermission\removePermissions(), and eZObjectPermission\setPermission().

## Variable Documentation

## ◆ $category

$category = new eZImageCategory( $CategoryID )

Definition at line 224 of file ezimagecatalogue/admin/imagelist.php.

Referenced by syncDir().

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category )

Definition at line 269 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $checkMode

if (isSet($ImageUpload)) $checkMode =& eZSession::globalSession()

Definition at line 160 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $count

$count =& $category->imageCount( )

Definition at line 334 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $counter

$counter = 0

Definition at line 346 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $error

$error = true

Definition at line 229 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $i

$i =0

Definition at line 271 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $ImageDir

$ImageDir = $ini->variable( "eZImageCatalogueMain", "ImageDir" )

Definition at line 47 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $indexFile

$indexFile = $ini->Index

Definition at line 43 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 41 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $j

$j = 0

Definition at line 345 of file ezimagecatalogue/admin/imagelist.php.

Referenced by eZHTTPTool\assignValues(), eZQuery\buildQuery(), eZPersistentObject\conditionTextByRow(), ezuspsservices\getresult(), ezups\getxml(), and eZPersistentObject\updateObjectList().

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 45 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $limit

$limit = $ini->variable( "eZImageCatalogueMain", "ListImagesPerPage" )

Definition at line 312 of file ezimagecatalogue/admin/imagelist.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_getFileList(), eZDFSFileHandlerMySQLiBackend\_purgeByLike(), eZProduct\activeProducts(), eZProductCategory\activeProducts(), eZProduct\activeProductSearch(), eZAdCategory\adlist(), eZAdCategory\ads(), eZInformixDB\array_query(), eZMySQLDB\array_query_append(), eZPostgreSQLDB\array_query_append(), eZSQLite3DB\array_query_append(), eZArticleCategory\articles(), eZArticle\articles(), eZArticle\authorArticleList(), eZArticle\authorList(), eZBugCategory\bugs(), eZCompany\categories(), eZQuizGame\closedGames(), eZDFSFileHandlerMySQLiBackend\expiredFilesList(), eZContentObjectState\fetchByConditions(), eZContentObjectStateGroup\fetchByConditions(), eZContentObjectState\fetchByGroup(), eZContentObjectStateGroup\fetchByOffset(), eZDFSFileHandler\fetchExpiredItems(), eZPersistentObject\fetchObjectList(), eZVirtualFolder\files(), eZConsultation\findConsultationsByContact(), eZForumCategory\forums(), eZPhoneType\getAll(), eZCountry\getAll(), eZRegion\getAll(), eZImageCategory\getAll(), eZArticleForm\getAll(), eZForm\getAll(), eZFormElement\getAll(), eZFormElementType\getAll(), eZQuizGame\getAll(), eZQuizQuestion\getAll(), eZMenu\getAll(), eZProductForm\getAll(), eZProductPriceRange\getAll(), eZVoucher\getAll(), eZVoucherEMail\getAll(), eZVoucherInformation\getAll(), eZVoucherSMail\getAll(), eZVoucherUsed\getAll(), eZSection\getAll(), eZOrder\getAll(), eZPerson\getAll(), eZQuizScore\getAllByGame(), eZQuizScore\getAllByUser(), eZQuizScore\getAllSavedByUser(), eZCompany\getByCategory(), eZOrder\getByContact(), eZTodo\getByLimit(), eZMenu\getByParent(), eZOrder\getByUser(), eZDFSFileHandler\getFileList(), eZLink\getLastTen(), eZLink\getLastTenDate(), eZLink\getNotAccepted(), eZLink\getQuery(), eZImage\getUnassigned(), eZProduct\hotDealProducts(), eZImageCategory\imageCount(), eZImageCategory\images(), eZForumMessage\lastMessages(), eZPageViewQuery\latest(), eZLinkCategory\links(), eZMailFolder\mail(), eZMediaCategory\media(), eZMediaCategory\mediaCount(), eZForum\messageThreadTree(), eZForum\messageTree(), eZForum\messageTreeArray(), eZNewsCategory\newsList(), eZNews\newsList(), eZQuizGame\openGames(), eZQuizGame\opensNext(), eZCompany\persons(), eZProductCategory\products(), eZProduct\products(), eZScriptClusterPurge\run(), eZNews\search(), eZForum\search(), eZOrder\search(), eZVirtualFile\search(), eZImage\search(), eZArticle\search(), eZTipCategory\tiplist(), eZTipCategory\tips(), eZPageViewQuery\topBrowsers(), eZPageViewQuery\topProductAddToCart(), eZPageViewQuery\topProductAddToWishlist(), eZPageViewQuery\topProductRequests(), eZPageViewQuery\topReferers(), eZPageViewQuery\topRequests(), eZPageViewQuery\topVisitors(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ $page_link

$page_link = "image/list/$CategoryID/parent/{item_index}"

Definition at line 338 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $page_link_next

$page_link_next = "image/list/$CategoryID/parent/{item_next_index}"

Definition at line 339 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $page_link_prev

$page_link_prev = "image/list/$CategoryID/parent/{item_previous_index}"

Definition at line 340 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $pathArray

if ($category->id() !=0) $pathArray = $category->path()

Definition at line 255 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $PicCat

$PicCat = $ini->variable( "eZImageCatalogueMain", "PicCat" )

Definition at line 48 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $SectionID

$SectionID = $ini->variable( "eZImageCatalogueMain", "DefaultSection" )

Definition at line 50 of file ezimagecatalogue/admin/imagelist.php.

Referenced by syncDir().

## ◆ $SyncDir

$SyncDir = $ini->variable( "eZImageCatalogueMain", "SyncDir" )

Definition at line 49 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/admin/" . $ini->variable( "eZImageCatalogueMain", "AdminTemplateDir" ),
"kernel/ezimagecatalogue/admin/intl/", $Language, "imagelist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezimagecatalogue/admin/imagelist.php:45
$ini
$ini
Definition: ezimagecatalogue/admin/imagelist.php:41

Definition at line 52 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $URL

$URL = "image/list/$CategoryID/$Offset"

Definition at line 336 of file ezimagecatalogue/admin/imagelist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 59 of file ezimagecatalogue/admin/imagelist.php.

Referenced by syncDir().

## ◆ $wwwDir

$wwwDir = $ini->WWWDir

Definition at line 42 of file ezimagecatalogue/admin/imagelist.php.

## ◆ else

if ($error==false) else

Initial value:
{
$t->set_var( "category_list", "" )
$t
$t
Definition: ezimagecatalogue/admin/imagelist.php:52

Definition at line 307 of file ezimagecatalogue/admin/imagelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.